# The last versioned release of the devtools code is 1.2.1, but upstream
# continues to update it without bumping the version. 😞
%global         srcname         azure-devtools
%global         commit          a5a4ef4a7adc8c730dd7da2e9e3bdb43c9376586
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})
%global         short_version   1.2.1

Name:           python-%{srcname}
Version:        %{short_version}~git.3.%{shortcommit}
Release:        5%{?dist}
Summary:        Microsoft Azure Development Tools for SDK
License:        MIT and ASL 2.0
URL:            https://github.com/Azure/azure-sdk-for-python/
Source0:        azure-devtools-%{commit}.tar.gz
# The azure-sdk-for-python repository is huge at > 160MB, but we only need ~
# 100KB of source for this package. Use this script to generate a tarball of the
# source code:
# ./generate-devtools-tarball.sh COMMIT_SHA
Source1:        generate-devtools-tarball.sh
# Asked upstream to update the vcrpy requirement. PR in progress.
# https://github.com/Azure/azure-sdk-for-python/pull/20032
Patch0:         python-azure-devtools-requirements-fix.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
Development tools for Python-based Azure tools
This package contains tools to aid in developing Python-based Azure code.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -v -p3 -c -n %{srcname}-%{commit}


%build
%pyproject_wheel


%generate_buildrequires
%pyproject_buildrequires -r


%install
%pyproject_install
%pyproject_save_files azure_devtools

# Some provided executables are only used internally in Azure SDK's CI.
rm -f %{buildroot}%{_bindir}/{perfstress,systemperf}


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Mon Apr 25 2022 Major Hayden <major@mhtx.net> - 1.2.1~git.3.a5a4ef4-5
- Updating dependencies.

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1~git.3.a5a4ef4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1.2.1~git.3.a5a4ef4-3
- Move obsoletes into subpackage

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1.2.1~git.3.a5a4ef4-2
- Move obsoletes into subpackage

* Tue Aug 03 2021 Major Hayden <major@mhtx.net> - 1.2.1~git.3.a5a4ef4
- Updated to latest commit on 2021-08-11
- Generate a source tarball using a script to shrink size of source RPM

* Tue Aug 03 2021 Major Hayden <major@mhtx.net> - 1.2.1~git.2.19487ff
- Updated to latest commit on 2021-08-03

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 1.2.1~git.1.a88809f
- Unretired package.
